define("ckeditor/plugins/eprss/plugin", [
	"jquery",
	"ckeditor/ckeditor",
	"$dict!ep/dict"
], function ($, CKEDITOR, epDict) {

	/*
	 * @dictionary		ep.dict
	 *
	 * @translation		{RSS}
	 */

	CKEDITOR.plugins.add( 'eprss',
	{
		init: function( editor ){
			editor.addCommand( 'eprss',
				{
					exec : function( editor )
					{
						//open epGadgt command with preselected rss gadget
						editor.execCommand( 'epgadget','rss' );
					}
				});
			editor.ui.addButton( 'eprss',
			{
				label: epDict.translate('RSS'),
				command: 'eprss',
				icon: this.path + 'images/rss.png'
			} );
		}
	});

	return CKEDITOR

});