/*globals define*/

define([
    'testsuite/qunit',
    'jquery',
    'ep/fn/busy',

    '$ready!'
], function (QUnit, $, ep) {

    QUnit.module("ep/fn/busy", {
        setup: function () {
            $('#qunit-fixture').append('<div id="busy" />');
        }
    });

    QUnit.test("ep/fn/busy", function() {

        QUnit.equal(
            !!$('#busy').busy('show').has('div.ep-busy').length,
            true,
            "!!ep('#busy').busy('show').has('div.ep-busy').length"
        );

        QUnit.equal(
            !$('#busy').busy('hide').has('div.ep-busy').length,
            true,
            "!ep('#busy').busy('show').has('div.ep-busy').length"
        );
    });

});